get wallet by id
curl --request GET \
--url https://api.sandbox.finsei.com/v3/wallet/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v3/wallet/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v3/wallet/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"uuid": "<string>",
"balance": 123,
"balanceLock": "<unknown>",
"balanceInProgress": 123,
"currencyId": "<string>",
"description": "<string>",
"data": {
"type": "BANK",
"accountId": "<string>",
"details": [
{}
]
},
"flags": {
"isVisible": true,
"isFavourite": true
},
"color": "<string>",
"name": "<string>",
"updatedAt": 1722000000000,
"permissions": {
"canPay": true,
"canTopUp": true,
"canTopUpFromWallet": true,
"canCurrencyExchange": true,
"canCardCreate": true,
"canCardChipAndPinOrder": true,
"canCardVirtualOrder": true,
"canCardDisposableOrder": true,
"canClose": true,
"canExportPDF": true,
"canExportCSV": true,
"canExportXML": true,
"canCryptoBuy": false,
"canCryptoSell": false
},
"currency": {
"id": "<string>",
"name": "<string>"
},
"transferSourceWalletId": [
123
],
"transferTargetWalletId": [
123
]
}{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Endpoints
GET /v3/wallet/{id}
GET
/
v3
/
wallet
/
{id}
get wallet by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
currency, transferSourceWalletId, transferTargetWalletId Response
OK
Maximum string length:
3Maximum string length:
255- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACTIVE, BLOCKED Maximum string length:
7Example:
1722000000000
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I